name: Build Protos

on:
  pull_request:
    paths:
      - "src/main/protobuf/**"

permissions:
  contents: read

jobs:
  build:
    runs-on: self-hosted

    steps:
      - name: Checkout repository
        uses: actions/checkout@v4
        with:
          lfs: false
      - name: Run tests
        run: ./scripts/build_protos.sh
